Build failed in Hudson: IcedTea6TargetTesting #513
Hudson Admin
gnu_andrew at member.fsf.org
Tue Oct 19 21:03:32 PDT 2010
See <http://toadeater:8080/job/IcedTea6TargetTesting/513/>
------------------------------------------
[...truncated 479 lines...]
`/notnfs/nighttester/icedtea6-target-testing/shark/hotspot/src/share/vm/shark/sharkConstant.hpp' -> `openjdk/hotspot/src/share/vm/shark/sharkConstant.hpp'
`/notnfs/nighttester/icedtea6-target-testing/shark/hotspot/src/share/vm/shark/sharkValue.cpp' -> `openjdk/hotspot/src/share/vm/shark/sharkValue.cpp'
`/notnfs/nighttester/icedtea6-target-testing/shark/hotspot/src/share/vm/shark/sharkMemoryManager.cpp' -> `openjdk/hotspot/src/share/vm/shark/sharkMemoryManager.cpp'
`/notnfs/nighttester/icedtea6-target-testing/shark/hotspot/src/share/vm/shark/sharkState.hpp' -> `openjdk/hotspot/src/share/vm/shark/sharkState.hpp'
if ! test "xno" = "xno" ; then \
mkdir -p openjdk/jdk/src/solaris/bin/amd64 ; \
ln -sf /notnfs/nighttester/icedtea6-target-testing/jvm.cfg \
openjdk/jdk/src/solaris/bin/amd64/jvm.cfg ; \
fi
if ! test "xno" = "xno"; then \
ln -sf /notnfs/nighttester/icedtea6-target-testing/ergo.c \
openjdk/jdk/src/solaris/bin/ergo_amd64.c; \
fi
for target in /notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/tools \
/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/src/*cpu/* ; do \
link=$(dirname $target | sed 's/^.*arm_port/openjdk/'); \
cp -rv $target $link; \
done
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/tools' -> `openjdk/hotspot/tools'
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/tools/mkbc.c' -> `openjdk/hotspot/tools/mkbc.c'
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp' -> `openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp'
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S' -> `openjdk/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S'
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/src/cpu/zero/vm/asm_helper.cpp' -> `openjdk/hotspot/src/cpu/zero/vm/asm_helper.cpp'
`/notnfs/nighttester/icedtea6-target-testing/arm_port/hotspot/src/cpu/zero/vm/bytecodes_arm.def' -> `openjdk/hotspot/src/cpu/zero/vm/bytecodes_arm.def'
mkdir -p stamps
touch stamps/ports.stamp
set -e ; \
if [ ! -e /notnfs/nighttester/icedtea6-target-testing/generated ]; then \
cp -a /notnfs/nighttester/icedtea6-target-testing/generated /notnfs/nighttester/icedtea6-target-testing; \
find /notnfs/nighttester/icedtea6-target-testing/generated -type f -exec chmod 640 '{}' ';' \
-o -type d -exec chmod 750 '{}' ';'; \
fi
mkdir -p stamps
touch stamps/generated.stamp
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch-fsg.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-fsg.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ;
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
for p in patches/security/20101012/6891766.patch patches/security/20101012/6925710.patch patches/security/20101012/6938813.patch patches/security/20101012/6957564.patch patches/security/20101012/6958060.patch patches/security/20101012/6963023.patch patches/security/20101012/6963489.patch patches/security/20101012/6966692.patch patches/security/20101012/6914943.patch patches/security/20101012/6559775.patch patches/security/20101012/6622002.patch patches/security/20101012/6623943.patch patches/security/20101012/6952017.patch patches/security/20101012/6952603.patch patches/security/20101012/6961084.patch patches/security/20101012/6963285.patch patches/security/20101012/6981426.patch patches/security/20101012/6990437.patch patches/icedtea-notice-safepoints.patch patches/icedtea-parisc-opt.patch patches/icedtea-lucene-crash.patch patches/icedtea-version.patch patches/icedtea-version-hotspot.patch patches/icedtea-text-relocations.patch patches/icedtea-ssl.patch patches/icedtea-rmi_amd64.patch patches/icedtea-tools.patch patches/icedtea-use-system-tzdata.patch patches/icedtea-headers.patch patches/icedtea-headers-hotspot.patch patches/icedtea-gcc-suffix.patch patches/hotspot/hs19/gcc-suffix.patch patches/icedtea-bytebuffer-compact.patch patches/memory-limits.patch patches/icedtea-sunsrc.patch patches/icedtea-libraries.patch patches/icedtea-javafiles.patch patches/icedtea-jvmtiEnv.patch patches/icedtea-lcms.patch patches/hotspot/hs19/print_lsb_release.patch patches/icedtea-jpegclasses.patch patches/icedtea-uname.patch patches/icedtea-freetypeversion.patch patches/icedtea-nomotif-6706121.patch patches/icedtea-nomotif.patch patches/icedtea-nomotif-mtoolkit.patch patches/hotspot/hs19/alpha-fixes.patch patches/icedtea-alt-jar.patch patches/icedtea-jdk-use-ssize_t.patch patches/icedtea-use-idx_t.patch patches/hotspot/hs19/params-cast-size_t.patch patches/icedtea-clean-crypto.patch patches/icedtea-arch.patch patches/icedtea-lc_ctype.patch patches/icedtea-xjc.patch patches/icedtea-renderer-crossing.patch patches/icedtea-stroker-finish.patch patches/icedtea-linker-libs-order.patch patches/icedtea-testenv.patch patches/icedtea-samejvm-safe.patch patches/icedtea-pr261.patch patches/icedtea-sparc-buildfixes.patch patches/icedtea-sparc64-linux.patch patches/icedtea-sparc-ptracefix.patch patches/icedtea-sparc-trapsfix.patch patches/icedtea-demo-swingapplet.patch patches/openjdk/6721088-awt_window_size.patch patches/icedtea-jtreg-6592792.patch patches/icedtea-s390-noinline.patch patches/icedtea-jtreg-dnd.patch patches/icedtea-jtreg-jrunscript.patch patches/icedtea-network-unreachable.patch patches/icedtea-dnd-filelists.patch patches/icedtea-java2d-stroker-internal-joint.patch patches/icedtea-java2d-stroker-internal-close-joint.patch patches/icedtea-disable-cc-incompatible-sanity-checks.patch patches/icedtea-explicit-target-arch.patch patches/icedtea-gcc-stack-markings.patch patches/icedtea-no-precompiled.patch patches/icedtea-parisc.patch patches/icedtea-sh4-support.patch patches/icedtea-policy-evaluation.patch patches/hotspot/hs19/update-bootclasspath.patch patches/libpng.patch patches/extensions/netx.patch patches/extensions/netx-umask.patch patches/icedtea-jtreg-httpTest.patch patches/arm.patch patches/openjdk/6678385-window_movement_crasher.patch patches/openjdk/6961732-negative_leading.patch patches/debug-dir.patch patches/no-sync.patch patches/icedtea-override-redirect-metacity.patch patches/openjdk/6963870-swing_npe.patch patches/openjdk/6668231-ssl_cert.patch patches/openjdk/6967533-pre_epoch.patch patches/fonts-rhel.patch patches/fonts-gentoo.patch patches/ipv4-mapped-ipv6-addresses.patch patches/openjdk/6795060-icu_crash.patch patches/openjdk/4356282-opentype.patch patches/openjdk/6954424-opentype_javadoc.patch patches/openjdk/6438179-systray_check.patch patches/icedtea-too-many-args.patch patches/icedtea-jtreg-OpenGLContextInit.patch patches/openjdk/6969395-net_bugs.patch patches/openjdk/6510892-httpserver_test.patch patches/openjdk/6638712-wildcard_types.patch patches/openjdk/6650759-missing_inference.patch patches/numa_on_early_glibc.patch patches/icedtea-shark-build.patch patches/openjdk/6985992-test_6933784.patch patches/openjdk/6853592-badwindow-warning-fix.patch patches/6703377-freetypescaler.patch patches/shark_do_nothing_on_stub_frame.patch patches/icedtea-shark-build-hotspot.patch patches/shark.patch patches/shark-debug-option.patch patches/icedtea-shark.patch patches/icedtea-linux-separate-debuginfo.patch patches/openjdk/6951319-sparc_build_fixes.patch patches/icedtea-rhino.patch patches/openjdk/6725214-direct3d-01.patch patches/openjdk/6307603-xrender-01.patch patches/openjdk/6961633-xrender-02.patch patches/openjdk/6791612-opengl-jni-fix.patch patches/openjdk/6755274-glgetstring-crash.patch patches/openjdk/6984543-onscreen_rendering_resize_test.patch patches/systemtap.patch patches/systemtap-gcc-4.5.patch patches/systemtap-alloc-size-workaround.patch patches/icedtea-nss-not-enabled-config.patch ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-target-testing/HACKING \
>> stamps/patch.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi
Checking patches/security/20101012/6891766.patch
Applying patches/security/20101012/6891766.patch
patching file openjdk/corba/src/share/classes/com/sun/corba/se/impl/io/IIOPInputStream.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/impl/io/ValueHandlerImpl.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/impl/orb/PrefixParserAction.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/impl/orbutil/ObjectUtility.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/impl/transport/SocketOrChannelAcceptorImpl.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/spi/orb/OperationFactory.java
patching file openjdk/corba/src/share/classes/com/sun/corba/se/spi/orb/ParserImplBase.java
Checking patches/security/20101012/6925710.patch
Applying patches/security/20101012/6925710.patch
patching file openjdk/jdk/src/share/classes/java/awt/image/IndexColorModel.java
patching file openjdk/jdk/src/share/classes/sun/awt/image/BufImgSurfaceData.java
patching file openjdk/jdk/src/share/native/sun/awt/image/BufImgSurfaceData.c
Checking patches/security/20101012/6938813.patch
Applying patches/security/20101012/6938813.patch
patching file openjdk/jdk/src/share/classes/javax/swing/text/html/HTMLEditorKit.java
patching file openjdk/jdk/src/share/classes/javax/swing/text/html/parser/DTD.java
patching file openjdk/jdk/src/share/classes/javax/swing/text/html/parser/ParserDelegator.java
Checking patches/security/20101012/6957564.patch
Applying patches/security/20101012/6957564.patch
patching file openjdk/jdk/src/share/classes/com/sun/jndi/dns/DnsContextFactory.java
Checking patches/security/20101012/6958060.patch
Applying patches/security/20101012/6958060.patch
patching file openjdk/jdk/src/share/classes/sun/security/jgss/krb5/InitialToken.java
Checking patches/security/20101012/6963023.patch
Applying patches/security/20101012/6963023.patch
patching file openjdk/jdk/src/share/native/sun/awt/image/jpeg/imageioJPEG.c
Checking patches/security/20101012/6963489.patch
Applying patches/security/20101012/6963489.patch
patching file openjdk/jdk/src/share/native/sun/java2d/cmm/lcms/cmsxform.c
Hunk #1 succeeded at 687 with fuzz 1.
patching file openjdk/jdk/src/share/native/sun/java2d/cmm/lcms/LCMS.c
Checking patches/security/20101012/6966692.patch
Applying patches/security/20101012/6966692.patch
patching file openjdk/jdk/src/share/classes/java/io/ObjectStreamClass.java
Checking patches/security/20101012/6914943.patch
Applying patches/security/20101012/6914943.patch
patching file openjdk/jdk/src/share/classes/sun/security/ssl/Alerts.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/CipherSuite.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/CipherSuiteList.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/ClientHandshaker.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/HandshakeMessage.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/Handshaker.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/HelloExtensions.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/OutputRecord.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/SSLEngineImpl.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/SSLServerSocketImpl.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/SSLSocketImpl.java
patching file openjdk/jdk/src/share/classes/sun/security/ssl/ServerHandshaker.java
patching file openjdk/jdk/test/sun/security/pkcs11/sslecc/CipherTest.java
patching file openjdk/jdk/test/sun/security/ssl/com/sun/net/ssl/internal/ssl/SSLSocketImpl/InvalidateServerSessionRenegotiate.java
patching file openjdk/jdk/test/sun/security/ssl/javax/net/ssl/NewAPIs/JSSERenegotiate.java
patching file openjdk/jdk/test/sun/security/ssl/javax/net/ssl/NewAPIs/SSLEngine/CheckStatus.java
patching file openjdk/jdk/test/sun/security/ssl/javax/net/ssl/NewAPIs/SSLEngine/ConnectionTest.java
patching file openjdk/jdk/test/sun/security/ssl/javax/net/ssl/NewAPIs/SSLEngine/NoAuthClientAuth.java
patching file openjdk/jdk/test/sun/security/ssl/javax/net/ssl/NewAPIs/SSLEngine/TestAllSuites.java
patching file openjdk/jdk/test/sun/security/ssl/sanity/ciphersuites/CheckCipherSuites.java
patching file openjdk/jdk/test/sun/security/ssl/sanity/interop/CipherTest.java
Checking patches/security/20101012/6559775.patch
Applying patches/security/20101012/6559775.patch
patching file openjdk/jdk/make/java/java/FILES_java.gmk
patching file openjdk/jdk/src/share/classes/java/io/ObjectInputStream.java
patching file openjdk/jdk/src/share/classes/java/io/ObjectOutputStream.java
patching file openjdk/jdk/src/share/classes/java/io/SerialCallbackContext.java
Checking patches/security/20101012/6622002.patch
Applying patches/security/20101012/6622002.patch
patching file openjdk/jdk/src/share/classes/javax/swing/UIDefaults.java
Checking patches/security/20101012/6623943.patch
Applying patches/security/20101012/6623943.patch
patching file openjdk/jdk/src/share/classes/javax/swing/JApplet.java
patching file openjdk/jdk/src/share/classes/javax/swing/TimerQueue.java
Checking patches/security/20101012/6952017.patch
Applying patches/security/20101012/6952017.patch
patching file openjdk/jdk/src/share/classes/sun/net/www/protocol/http/HttpURLConnection.java
Checking patches/security/20101012/6952603.patch
Applying patches/security/20101012/6952603.patch
patching file openjdk/jdk/src/share/classes/java/net/NetworkInterface.java
Checking patches/security/20101012/6961084.patch
Applying patches/security/20101012/6961084.patch
patching file openjdk/jdk/src/share/classes/sun/net/www/MessageHeader.java
patching file openjdk/jdk/src/share/classes/sun/net/www/protocol/http/HttpURLConnection.java
Checking patches/security/20101012/6963285.patch
Applying patches/security/20101012/6963285.patch
patching file openjdk/jdk/src/share/native/sun/font/layout/LayoutEngine.cpp
Checking patches/security/20101012/6981426.patch
Applying patches/security/20101012/6981426.patch
patching file openjdk/jdk/src/share/classes/java/net/HttpURLConnection.java
Checking patches/security/20101012/6990437.patch
Applying patches/security/20101012/6990437.patch
patching file openjdk/jdk/src/share/classes/java/io/SerialCallbackContext.java
Checking patches/icedtea-notice-safepoints.patch
Applying patches/icedtea-notice-safepoints.patch
patching file openjdk/hotspot/src/share/vm/interpreter/cppInterpreter.hpp
Checking patches/icedtea-parisc-opt.patch
Applying patches/icedtea-parisc-opt.patch
patching file openjdk/hotspot/make/linux/makefiles/product.make
patching file openjdk/hotspot/make/linux/makefiles/optimized.make
Checking patches/icedtea-lucene-crash.patch
Applying patches/icedtea-lucene-crash.patch
patching file openjdk/hotspot/test/compiler/6707044/LuceneCrash.java
Checking patches/icedtea-version.patch
Applying patches/icedtea-version.patch
patching file openjdk/jdk/make/common/shared/Defs.gmk
patching file openjdk/jdk/make/java/version/Makefile
patching file openjdk/jdk/src/share/classes/sun/misc/Version-template.java
Checking patches/icedtea-version-hotspot.patch
Applying patches/icedtea-version-hotspot.patch
patching file openjdk/hotspot/make/linux/makefiles/vm.make
Hunk #1 succeeded at 90 (offset 4 lines).
patching file openjdk/hotspot/src/share/vm/runtime/arguments.cpp
patching file openjdk/hotspot/src/share/vm/utilities/vmError.cpp
Hunk #2 succeeded at 387 (offset 45 lines).
Checking patches/icedtea-text-relocations.patch
Applying patches/icedtea-text-relocations.patch
patching file openjdk/hotspot/make/linux/makefiles/gcc.make
patching file openjdk/hotspot/make/linux/makefiles/rules.make
Hunk #1 succeeded at 146 (offset 8 lines).
patching file openjdk/hotspot/make/solaris/makefiles/rules.make
Hunk #1 succeeded at 146 (offset 8 lines).
Checking patches/icedtea-ssl.patch
Applying patches/icedtea-ssl.patch
patching file openjdk/jdk/src/share/classes/sun/security/ssl/Handshaker.java
Hunk #2 succeeded at 766 (offset 77 lines).
patching file openjdk/jdk/src/share/classes/sun/security/ssl/RSAClientKeyExchange.java
Checking patches/icedtea-rmi_amd64.patch
Applying patches/icedtea-rmi_amd64.patch
patching file openjdk/jdk/make/sun/rmi/rmi/Makefile
Checking patches/icedtea-tools.patch
Applying patches/icedtea-tools.patch
patching file openjdk/jdk/make/tools/sharing/classlist.linux
patching file openjdk/jdk/make/tools/sharing/classlist.solaris
patching file openjdk/jdk/make/tools/sharing/classlist.windows
patching file openjdk/jdk/make/java/awt/Makefile
Checking patches/icedtea-use-system-tzdata.patch
Applying patches/icedtea-use-system-tzdata.patch
patching file openjdk/jdk/src/share/classes/sun/util/calendar/ZoneInfoFile.java
Checking patches/icedtea-headers.patch
Applying patches/icedtea-headers.patch
patching file openjdk/jdk/make/tools/freetypecheck/Makefile
patching file openjdk/jdk/make/common/Defs.gmk
Hunk #1 succeeded at 235 (offset -2 lines).
patching file openjdk/jdk/make/sun/font/Makefile
Checking patches/icedtea-headers-hotspot.patch
Applying patches/icedtea-headers-hotspot.patch
patching file openjdk/hotspot/make/linux/makefiles/jvmti.make
Checking patches/icedtea-gcc-suffix.patch
Applying patches/icedtea-gcc-suffix.patch
patching file openjdk/jdk/make/common/shared/Compiler-gcc.gmk
patching file openjdk/corba/make/common/shared/Compiler-gcc.gmk
Hunk #1 succeeded at 58 with fuzz 2.
Checking patches/hotspot/hs19/gcc-suffix.patch
1 out of 1 hunk FAILED -- saving rejects to file openjdk/hotspot/make/linux/makefiles/gcc.make.rej
ERROR patch patches/hotspot/hs19/gcc-suffix.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
More information about the icedtea-test
mailing list